/*
 * @Author: zhoux zhouxia@supervision.ltd
 * @Date: 2023-12-08 14:50:08
 * @LastEditors: zhoux zhouxia@supervision.ltd
 * @LastEditTime: 2023-12-20 13:25:59
 * @FilePath: \general-ai-platform-web\src\enums\status.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */

import { DownOutlined } from "@ant-design/icons";

// 分布式设备状态
export const deviceStatusEnums: Record<string, any> = {
  allStatus: {
    miniName: '全部',
    value: '0',
    color: '',
  },
  onlineStatus: {
    miniName: '在线',
    value: '1',
    color: 'success',
  },
  outlineStatus: {
    miniName: '离线',
    value: '2',
    color: 'default',
  },
  processingStatus: {
    miniName: '运行中',
    value: '3',
    color: 'warning',
  },
  errorStatus: {
    miniName: '故障',
    value: '4',
    color: 'error',
  },
};
// 资源设备~
export const resourceDeviceStatusEnums: Record<string, any> = {
  allStatus: {
    miniName: '全部异常',
    value: '0',
    color: '',
    renderType: '',
  },
  storageWarn: {
    miniName: '存储告警',
    value: '1',
    color: 'error',
    renderType: 'progress',
  },
  GPUWarn: {
    miniName: 'GPU告警',
    value: '2',
    color: 'success',
    renderType: 'progress',
  },
  memoryWarn: {
    miniName: '内存告警',
    value: '3',
    color: 'success',
    renderType: 'progress',
  },
  errorStatus: {
    miniName: 'CPU告警',
    value: '4',
    color: 'warning',
    renderType: 'progress',
  },
  codeError: {
    miniName: '代码出错',
    value: '5',
    color: 'error',
    renderType: 'dot',
  },
  serveTimeOut: {
    miniName: '服务器超时',
    value: '6',
    color: 'error',
    renderType: 'dot',
  },
};
// 告警等级~
export const alarmLevelStatusEnum: Record<string, any>[] = [
  {
    color: 'rgba(232, 13, 13, 1)',
    defaultValue: '1',
    defaultLabel: '紧急',
    isDelete: false,
    icon: 'ArrowUpOutlined',
    id: '1',
  },
  {
    color: 'rgba(255, 136, 0, 1)',
    defaultValue: '2',
    defaultLabel: '较高',
    isDelete: false,
    id: '2',
  },
  {
    color: 'rgba(68, 139, 245, 1)',
    defaultValue: '3',
    defaultLabel: '一般',
    isDelete: false,
    id: '3',
  },
  {
    color: 'rgba(179, 214, 0, 1)',
    defaultValue: '4',
    defaultLabel: '低',
    isDelete: true,
    id: '4',
  },
  {
    color: 'rgba(81, 177, 6, 1)',
    defaultValue: '5',
    defaultLabel: '较低',
    isDelete: true,
    id: '5',
  },
  {
    color: 'rgba(43, 183, 136, 1)',
    defaultValue: '6',
    defaultLabel: '非常低',
    isDelete: true,
    id: '6',
  },
];
