export const interface_api: { [key: string]: string } = {
  'system.interface.table.list.id': 'ID',
  'system.interface.table.list.name': '权限名称',
  'system.interface.table.list.value': '权限值',
  'system.interface.table.list.method': '请求方式',
  'system.interface.table.list.url': '接口地址',
  'system.interface.table.list.add': '新建接口',
  'system.interface.table.list.update': '更新接口',
  'system.interface.table.rule.required.name': '权限名称为必填项',
  'system.interface.table.rule.required.value': '权限值为必填项',
  'system.interface.table.rule.required.method': '请求方式为必填项',
  'system.interface.table.rule.required.url': '接口地址为必填项',
  'system.interface.enum.GET': 'GET',
  'system.interface.enum.POST': 'POST',
  'system.interface.enum.DELETE': 'DELETE',
  'system.interface.enum.PUT': 'PUT',
  'system.interface.enum.PATCH': 'PATCH'
}
export const dynamic_menu: { [key: string]: string } = {
  'system.menu.table.list.id': 'ID',
  'system.menu.table.list.parentId': '父节点',
  'system.menu.table.list.type': '菜单类型',
  'system.menu.table.list.type_M': '目录',
  'system.menu.table.list.type_C': '菜单',
  'system.menu.table.list.type_F': '按钮',
  'system.menu.table.list.type_E': '外链',
  'system.menu.table.list.title': '展示名称',
  'system.menu.table.list.sort': '顺序',
  'system.menu.table.list.name': '路由名称',
  'system.menu.table.list.path': '路由路径',
  'system.menu.table.list.component': '组件路径',
  'system.menu.table.list.icon': '图标',
  'system.menu.table.list.permission': '权限标识',
  'system.menu.table.list.hidden': '是否隐藏',
  'system.menu.table.list.remark': '备注',
  'system.menu.table.list.externalLink': '外链地址',
  'system.menu.table.list.add': '添加根菜单',
  'system.menu.table.list.create_son_menu': '添加子菜单',
  'system.menu.table.list.update': '更新菜单',

  'system.menu.table.rule.required.name': '菜单名称为必填项',
  'system.menu.table.rule.required.value': '菜单值为必填项',
  'system.menu.table.rule.required.icon': '图标为必填项',
  'system.menu.table.rule.required.sequence': '顺序为必填项',
  'system.menu.table.rule.required.is_dir': '是否为目录为必填项',
  'system.menu.table.rule.required.is_external_link': '是否是外链接为必填项',
  'system.menu.table.rule.required.parent_fk_id': '父节点为必填项'
}
export const api: { [key: string]: string } = {
  'system.api.table.list.id': 'ID',
  'system.api.table.list.path': '接口路径',
  'system.api.table.list.method': '请求方式',
  'system.api.table.list.apiGroup': '接口分组',
  'system.api.table.list.description': '接口描述',
  'system.api.table.rule.required.path': '接口路径为必填项',
  'system.api.enum.GET': 'GET',
  'system.api.enum.POST': 'POST',
  'system.api.enum.DELETE': 'DELETE',
  'system.api.enum.PUT': 'PUT',
  'system.api.enum.PATCH': 'PATCH'
}

export const role: { [key: string]: string } = {
  'system.role.table.list.id': 'ID',
  'system.role.table.list.name': '角色名称',
  'system.role.table.list.code': '角色代码',
  'system.role.table.list.sort': '排序',
  'system.role.table.list.status': '状态',
  'system.role.table.list.remark': '备注',
  'system.role.table.action.set_permission': '设置权限',
  'system.role.table.list.api_permission': 'api权限',
  'system.role.table.list.menu_permission': '菜单权限',
  'system.role.table.list.resource_permission': '资源权限',
  'system.role.table.list.create': '新建角色',
  'system.role.table.list.set_permission': '设置权限',
  'system.role.table.list.update': '更新角色',
  'system.role.table.rule.required.name': '角色名称为必填项',
  'system.role.table.rule.required.code': '角色代码为必填项',
}

export const user: { [key: string]: string } = {
  'system.user.table.list.id': 'ID',
  'system.user.table.list.userName': '用户名',
  'system.user.table.list.nickName': '昵称',
  'system.user.table.list.password': '密码',
  'system.user.table.list.password_re': '再一次确认密码',
  'system.user.table.list.roleId': '角色',
  'system.user.table.list.roleIds': '角色',
  'system.user.table.list.phone': '手机',
  'system.user.table.list.email': '邮件',
  'system.user.table.list.avatarId': '头像',
  'system.user.table.list.postId': '岗位',
  'system.user.table.list.postIds': '岗位',
  'system.user.table.list.deptId': '部门',
  'system.user.table.list.enable': '是否启用',
  'system.user.table.list.remark': '备注',
  'system.user.table.list.create': '新建用户',
  'system.user.table.list.update': '更新用户',
  'system.user.table.rule.required.userName': '用户名为必填项',
  'system.user.table.rule.required.nickName': '昵称为必填项',
  'system.user.table.rule.required.password': '密码为必填项',
  'system.user.table.rule.password.not_same': '两次密码不一致'
}

export const post: { [key: string]: string } = {
  'system.post.table.list.id': 'ID',
  'system.post.table.list.name': '岗位名称',
  'system.post.table.list.code': '岗位代码',
  'system.post.table.list.sort': '排序',
  'system.post.table.list.status': '状态',
  'system.post.table.list.remark': '备注',
  'system.post.table.list.create': '新建岗位',
  'system.post.table.list.update': '更新岗位',
  'system.post.table.rule.required.name': '岗位名称为必填项',
  'system.post.table.rule.required.code': '岗位代码为必填项',
}

export const department: { [key: string]: string } = {
  'system.department.table.list.id': 'ID',
  'system.department.table.list.parentId': '父节点',
  'system.department.table.list.name': '部门名称',
  'system.department.table.list.code': '部门代码',
  'system.department.table.list.phone': '部门电话',
  'system.department.table.list.email': '部门邮箱',
  'system.department.table.list.sort': '排序',
  'system.department.table.list.status': '状态',
  'system.department.table.list.remark': '备注',
  'system.department.table.list.create': '添加根部门',
  'system.department.table.list.create_son_department': '添加子部门',
  'system.department.table.list.update': '更新部门',
  'system.department.table.rule.required.name': '部门名称为必填项',
  'system.department.table.rule.required.code': '部门代码为必填项',
}
export const operation_record: { [key: string]: string } = {
  'system.operation.table.list.id': 'ID',
  'system.operation.table.list.status': '请求状态',
  'system.operation.table.list.ip': '请求IP',
  'system.operation.table.list.path': '接口路径',
  'system.operation.table.list.method': '请求方法',
  'system.operation.table.list.latency': '延迟',
  'system.operation.table.list.agent': '代理',
  'system.operation.table.list.error_message': '错误信息',
  'system.operation.table.list.body': '请求Body',
  'system.operation.table.list.resp': '响应Body',
  'system.operation.table.list.user_id': '用户ID',
  'system.operation.table.list.sort': '排序',
  'system.operation.table.list.remark': '备注',
  'system.operation.table.list.create': '新建操作日志',
  'system.operation.table.list.createTime': '创建时间',
  'system.operation.table.list.updateTime': '更新时间',

  'system.operation.table.rule.list.ip': '请填写IP',
  'system.operation.table.rule.list.path': '请填写接口路径',
}
