declare namespace API {
  type ActionDetection = {
    id?: string;
    source?: string;
    configFile?: string;
    type?: string;
    remark?: string;
    time?: number;
    imagesPath?: string;
  };

  type PageResult = {
    list?: any;
    page?: number;
    pageSize?: number;
    total?: number;
  };

  type Response = {
    code?: number;
    data?: any;
    msg?: string;
    success?: boolean;
  };

  type SearchActionDetectionParams = {
    configFile?: string;
    createTime?: string;
    /** 排序方式:升序false(默认)|降序true */
    desc?: boolean;
    id?: number;
    /** 关键字 */
    keyword?: string;
    /** 排序 */
    orderKey?: string;
    /** 页码 */
    page?: number;
    /** 每页大小 */
    pageSize?: number;
    remark?: string;
    source?: string;
    type?: string;
    updateTime?: string;
  };
}
