// @ts-ignore
/* eslint-disable */
import { request } from '@umijs/max';

/** 创建基础BusinessImage POST /business_image/createBusinessImage */
export async function postBusinessImageCreateBusinessImage(
  body: API.BusinessImage,
  options?: { [key: string]: any },
) {
  return request<API.Response & { msg?: string }>(`/api/v1/business_image/createBusinessImage`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 删除BusinessImage DELETE /business_image/deleteBusinessImage */
export async function deleteBusinessImageDeleteBusinessImage(
  body: API.BusinessImage,
  options?: { [key: string]: any },
) {
  return request<API.Response & { msg?: string }>(`/api/v1/business_image/deleteBusinessImage`, {
    method: 'DELETE',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 删除选中BusinessImage DELETE /business_image/deleteBusinessImageByIds */
export async function deleteBusinessImageDeleteBusinessImageByIds(
  body: API.IdsReq,
  options?: { [key: string]: any },
) {
  return request<API.Response & { msg?: string }>(
    `/api/v1/business_image/deleteBusinessImageByIds`,
    {
      method: 'DELETE',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    },
  );
}

/** 根据id获取BusinessImage POST /business_image/getBusinessImageById */
export async function postBusinessImageGetBusinessImageById(
  body: API.GetById,
  options?: { [key: string]: any },
) {
  return request<API.Response & { data?: API.ResourceBusinessImageResponse }>(
    `/api/v1/business_image/getBusinessImageById`,
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    },
  );
}

/** 获取BusinessImage外键列表 POST /business_image/getBusinessImageFkSelect */
export async function postBusinessImageGetBusinessImageFkSelect(
  body: API.GetFkSelect,
  options?: { [key: string]: any },
) {
  return request<API.Response & { data?: API.FkResult; msg?: string }>(
    `/api/v1/business_image/getBusinessImageFkSelect`,
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    },
  );
}

/** 分页获取BusinessImage列表 POST /business_image/getBusinessImageList */
export async function postBusinessImageGetBusinessImageList(
  body: API.SearchBusinessImageParams,
  options?: { [key: string]: any },
) {
  return request<API.Response & { data?: API.PageResult; msg?: string }>(
    `/api/v1/business_image/getBusinessImageList`,
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    },
  );
}

/** 获得BusinessImage名称列表 POST /business_image/getBusinessImageNames */
export async function postBusinessImageGetBusinessImageNames(
  body: API.IdsReq,
  options?: { [key: string]: any },
) {
  return request<API.Response & { data?: API.NamesResult; msg?: string }>(
    `/api/v1/business_image/getBusinessImageNames`,
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    },
  );
}

/** 修改基础BusinessImage PUT /business_image/updateBusinessImage */
export async function putBusinessImageUpdateBusinessImage(
  body: API.BusinessImage,
  options?: { [key: string]: any },
) {
  return request<API.Response & { msg?: string }>(`/api/v1/business_image/updateBusinessImage`, {
    method: 'PUT',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
